"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.todo = todo;
exports.skip = skip;
exports.onlyDescribe = onlyDescribe;
exports.onlyIt = onlyIt;
const write_js_1 = require("../../services/write.js");
const indentation_js_1 = require("../../configs/indentation.js");
const format_js_1 = require("../../services/format.js");
const core_js_1 = require("./it/core.js");
const describe_js_1 = require("./describe.js");
const get_arg_js_1 = require("../../parsers/get-arg.js");
const node_process_1 = require("process");
async function todo(message, _cb) {
    write_js_1.Write.log(`${indentation_js_1.indentation.hasDescribe ? '  ' : ''}${(0, format_js_1.format)(`● ${message}`).cyan().bold()}`);
}
async function skip(messageOrCb, _cb) {
    const message = typeof messageOrCb === 'string' ? messageOrCb : 'Skipping';
    write_js_1.Write.log(`${indentation_js_1.indentation.hasDescribe ? '  ' : ''}${(0, format_js_1.format)(`◯ ${message}`).info().bold()}`);
}
async function onlyDescribe(messageOrCb, cb) {
    if (!(get_arg_js_1.hasOnly || get_arg_js_1.hasDescribeOnly)) {
        write_js_1.Write.log((0, format_js_1.format)("Can't run `describe.only` tests without `--only` or `--only=describe` flags").fail());
        (0, node_process_1.exit)(1);
    }
    if (typeof messageOrCb === 'string' && cb)
        return (0, describe_js_1.describeBase)(messageOrCb, cb);
    if (typeof messageOrCb === 'function')
        return (0, describe_js_1.describeBase)(messageOrCb);
}
async function onlyIt(messageOrCb, cb) {
    if (!(get_arg_js_1.hasOnly || get_arg_js_1.hasItOnly)) {
        write_js_1.Write.log((0, format_js_1.format)("Can't run `it.only` and `test.only` tests without `--only`, `--only=it` or `--only=test` flags").fail());
        (0, node_process_1.exit)(1);
    }
    if (typeof messageOrCb === 'string' && cb)
        return (0, core_js_1.itBase)(messageOrCb, cb);
    if (typeof messageOrCb === 'function')
        return (0, core_js_1.itBase)(messageOrCb);
}
