"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fromEntries = exports.entries = void 0;
const get_runtime_js_1 = require("../parsers/get-runtime.js");
const needsPolyfill = get_runtime_js_1.nodeVersion && get_runtime_js_1.nodeVersion < 12;
exports.entries = needsPolyfill
    ? (obj) => {
        const ownProps = Object.keys(obj);
        let i = ownProps.length;
        const resArray = new Array(i);
        while (i--)
            resArray[i] = [ownProps[i], obj[ownProps[i]]];
        return resArray;
    }
    : Object.entries;
exports.fromEntries = needsPolyfill
    ? (entries) => {
        const mappedEntries = entries instanceof Map ? Array.from(entries) : entries;
        return mappedEntries.reduce((acc, [key, value]) => {
            acc[key] = value;
            return acc;
        }, {});
    }
    : Object.fromEntries;
